## log2mail 0.2.5.2

=== Makefile ===
# log2mail

GCC=gcc
#LIBS=
LIBS=-lstdc++ 
# -lccmalloc -ldl
INCLUDE=
INSTALL=install
INSTALL_PREFIX=/usr
INSTALL_BIN=sbin
INSTALL_MAN=man

DESTDIR=
DEBUG=yes

ifeq ($(DEBUG),yes)
	DEBUG_OPT=-g -DDEBUG
else 
	DEBUG_OPT=
endif

all:		select.o main.o config.o data.o log2mail.8.gz log2mail.conf.5.gz
		$(GCC) $(DEBUG_OPT) -o log2mail select.o data.o main.o config.o $(LIBS)

select.o:	includes.h defines.h select.cc
		$(GCC) $(DEBUG_OPT) -c select.cc $(INCLUDE)

main.o:		includes.h defines.h main.cc
		$(GCC) $(DEBUG_OPT) -c main.cc $(INCLUDE)

config.o:	includes.h defines.h config.cc
		$(GCC) $(DEBUG_OPT) -c config.cc $(INCLUDE)

data.o:		includes.h defines.h data.cc
		$(GCC) $(DEBUG_OPT) -c data.cc $(INCLUDE)

clean:	
		rm -f select.o main.o config.o data.o log2mail *~ log2mail.8.gz log2mail.conf.5.gz

log2mail.8.gz:	log2mail.8
		gzip -c log2mail.8 > log2mail.8.gz

log2mail.conf.5.gz:	log2mail.conf.5
		gzip -c log2mail.conf.5 > log2mail.conf.5.gz


install:	log2mail
		$(INSTALL) log2mail $(DESTDIR)/$(INSTALL_PREFIX)/$(INSTALL_BIN)/log2mail
#	done by dh_installmanpages:
#		$(INSTALL) log2mail.8.gz $(DESTDIR)/$(INSTALL_PREFIX)/$(INSTALL_MAN)/man8/log2mail.8.gz

=== debian/changelog ===
log2mail (0.2.5.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix format string bug in printlog() (CAN-2004-0450)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 29 May 2004 13:02:02 -0700

log2mail (0.2.5.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fixed two potential buffer overflows

 -- Martin Schulze <joey@infodrom.org>  Sun, 27 Oct 2002 10:26:35 +0100

log2mail (0.2.5) unstable; urgency=low

  * changed maintainer email address to <pape@smarden.org>.

 -- Gerrit Pape <pape@smarden.org>  Mon, 24 Sep 2001 16:03:55 +0200

log2mail (0.2.4) unstable; urgency=low

  * builds with gcc-3.0 (tested on i386, closes: #104729).

 -- Gerrit Pape <pape@innominate.com>  Mon, 16 Jul 2001 13:13:59 +0200

log2mail (0.2.3) unstable; urgency=low

  * rotating of logfile supported (new file check, size check,
    modification time check)
  * all code changes by <krax@innominate.com>

 -- Gerrit Pape <pape@innominate.com>  Mon, 25 Jun 2001 13:22:03 +0200

log2mail (0.2.2.2) unstable; urgency=low

  * documented %h option
  * SIGHUP and SIGTERM support (experimental) 
  * all code changes by <krax@innominate.com>

 -- Gerrit Pape <pape@innominate.com>  Mon, 26 Mar 2001 12:35:14 +0200

log2mail (0.2.2.1) unstable; urgency=low  

  * fixed path to email template in config/default.

 -- Gerrit Pape <pape@innominate.com>  Thu,  8 Feb 2001 16:28:55 +0100

log2mail (0.2.2) unstable; urgency=low

  * debian package cleanup.
  * removed debian-revision, upstream includes debian directory.

 -- Gerrit Pape <pape@innominate.com>  Thu,  8 Feb 2001 16:28:55 +0100

log2mail (0.2.1-1) unstable; urgency=low

  * new configuration file syntax 

 -- Michael Krax <michael.krax@innominate.de>  Fri, 26 Jan 2001 18:21:24 +0100

log2mail (0.1.2-1) unstable; urgency=low

  * fixed memory leak

 -- Michael Krax <michael.krax@innominate.de>  Wed, 24 Jan 2001 11:52:46 +0100

log2mail (0.1.1-1) unstable; urgency=low

  * switched back to start-stop-daemon (from supervise)
  * lingo-independent version

 -- Michael Krax <michael.krax@innominate.de>  Wed, 24 Jan 2001 11:49:08 +0100

log2mail (0.1.1-lingo-1) unstable; urgency=low
  
  * new log2mail version 0.91 used
  
 -- Michael Krax <michael.krax@innominate.de>  Thu,  4 Jan 2001 15:24:32 +0100

log2mail (0.1.0-lingo-2) unstable; urgency=low

  * switched to supervise
  * config/logs in /etc/log2mail

 -- Gerrit Pape <pape@innominate.de>  Wed, 29 Nov 2000 12:39:33 +0100

log2mail (0.1.0-lingo-1) unstable; urgency=low

  * Initial Release.

 -- Gerrit Pape <pape@innominate.de>  Tue,  4 Apr 2000 14:38:18 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: log2mail
Section: admin
Priority: optional
Maintainer: Gerrit Pape <pape@smarden.org>
Standards-Version: 3.0.1
Build-Depends: debhelper

Package: log2mail
Architecture: any
Depends: ${shlibs:Depends}, mail-transport-agent
Description: Daemon watching logfiles and mailing lines matching patterns.
 log2mail is a small daemon watching logfiles and sending mail
 to a specified address if a regular expression is matched.
 log2mail uses a configuration file. It has some options to reduce
 the amount of messages send to the user.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir


	# Add here commands to compile the package.
	$(MAKE) DEBUG=no

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	# configfile
	install -m 0644 debian/log2mail.conf \
		`pwd`/debian/tmp/etc/log2mail/config/default

	# email template
	install -m 0644 debian/log2mail.email \
		`pwd`/debian/tmp/etc/log2mail/mail

	# daemontools
	install -m 0750 debian/supervise/run \
		`pwd`/debian/tmp/etc/log2mail/service/run
	install -m 0750 debian/supervise/log/run \
		`pwd`/debian/tmp/etc/log2mail/service/log/run

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
#	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## log2mail 0.2.8-1.1

=== debian/changelog ===
log2mail (0.2.8-1.1) unstable; urgency=low

  * Non-maintainer upload
  * NMU coordinated with Enrico (reason of 0 delay)
    and this is only a rebuild for the gcc transition.
    Absolutely nothing has been changed in the package
    from the previous upload.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 20 Aug 2003 21:48:47 +0200

log2mail (0.2.8-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Mon, 25 Nov 2002 11:00:40 +0100

log2mail (0.2.7-1) unstable; urgency=low

  * New upstream version.  Closes: #163832.

 -- Enrico Zini <enrico@debian.org>  Thu, 10 Oct 2002 03:38:29 +0200

log2mail (0.2.6-1) unstable; urgency=low

  * New upstream version
  * First upload by me
  * Split debian version from upstream version number

 -- Enrico Zini <enrico@debian.org>  Wed,  2 Oct 2002 17:50:45 +0200

log2mail (0.2.5.1) unstable; urgency=high

  * security: data.cc, select.cc: fix buffer overflow (thx Enrico Zini);
    see bug #161207 for details.
  * new Maintainer: Enrico Zini; Uploader: me.
  * new author's mail address.

 -- Gerrit Pape <pape@smarden.org>  Mon, 30 Sep 2002 10:29:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: log2mail
 Section: admin
 Priority: optional
-Maintainer: Gerrit Pape <pape@smarden.org>
+Maintainer: Enrico Zini <enrico@debian.org>
 Standards-Version: 3.0.1
 Build-Depends: debhelper

=== debian/rules ===
--- 
+++ 
@@ -69,15 +69,14 @@
 	dh_installinit
 #	dh_installcron
 	dh_installmanpages
-	dh_installinfo
+#	dh_installinfo
 #	dh_undocumented
-	dh_installchangelogs 
+	dh_installchangelogs ChangeLog
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
 	# You may want to make some executables suid here.
-	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb
 #	dh_perl

## log2mail 0.3.1-1

=== debian/changelog ===
log2mail (0.3.1-1) unstable; urgency=low

  * new upstream release
  * take ownership

 -- Frank Habermann <lordlamer@lordlamer.de>  Tue, 18 Jun 2013 13:45:00 +0200

log2mail (0.3.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Upgrade to Standards-Version: 3.9.4.
  * changed compat to 5
  * fixed deprecated syntax of chown in postinst
  * add misc depends in control

 -- Frank Habermann <lordlamer@lordlamer.de>  Wed, 13 Jun 2013 15:03:00 +0200

log2mail (0.3.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #469808)

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 12:30:01 +0200

log2mail (0.3.0-2) unstable; urgency=low

  * C++ 4.0 transition.
  * Upgrade to Standards-Version: 3.6.2.
  * Removed daemontools support.
  * Removed warning before adduser, adduser moved to postinst.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Thu, 28 Jul 2005 22:14:57 +0100

log2mail (0.3.0-1) unstable; urgency=low

  * New upstream release. 

 -- Qingning Huo <qhuo@mayhq.co.uk>  Wed, 13 Oct 2004 21:53:27 +0100

log2mail (0.2.9-1) unstable; urgency=low

  * New upstream release.
  * New maintiainer Qingning Huo <qhuo@mayhq.co.uk>. Closes: #262706

 -- Qingning Huo <qhuo@mayhq.co.uk>  Mon,  4 Oct 2004 21:24:07 +0100

log2mail (0.2.8-3) unstable; urgency=low

  * Included the binary in the package.  Closes: #264671
    Thanks to Florian Ernst for the patch
  * Fixed DSA-513 security issue.  Closes: #264687
    Thanks to Florian Ernst for the patch

 -- Enrico Zini <enrico@debian.org>  Mon, 30 Aug 2004 16:09:37 +0200

log2mail (0.2.8-2) unstable; urgency=low

  * Acknowledge NMU.  Closes: #206450.
  * Fixed source to compile with g++ 3.4.  Closes: #260493.
    Thanks to Andreas Jochens for the patch
  * Ported to cdbs
  * Climbed upgrade-checklist and brought the package to bleeding-edge
    Standards-Version

 -- Enrico Zini <enrico@debian.org>  Sun,  1 Aug 2004 17:57:55 +0200

=== debian/control ===
Source: log2mail
Section: admin
Priority: optional
Maintainer: Frank Habermann <lordlamer@lordlamer.de>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 4.1), cdbs, dh-buildinfo
Homepage: https://github.com/lordlamer/log2mail

Package: log2mail
Architecture: any
Depends: ${misc:Depends}, exim4 | mail-transport-agent, adduser, ${shlibs:Depends}
Description: Daemon watching logfiles and mailing lines matching patterns
 log2mail is a small daemon watching logfiles and sending mail
 to a specified address if a regular expression is matched.
 log2mail uses a configuration file. It has some options to reduce
 the amount of messages send to the user.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

#DEB_MAKE_ENVVARS += DEBUG=no
#DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/log2mail

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

common-install-impl::
	# configfile
	install -m 0644 debian/log2mail.conf \
		`pwd`/debian/log2mail/etc/log2mail/config/default
	# email template
	install -m 0644 debian/log2mail.email \
		`pwd`/debian/log2mail/etc/log2mail/mail
